## com.arsdigita.cms.webpage.ui.authoring
Class WebpagePropertiesForm

    java.lang.Object
      com.arsdigita.bebop.Completable
          com.arsdigita.bebop.SimpleComponent
              com.arsdigita.bebop.FormSection
                  com.arsdigita.cms.ui.authoring.BasicItemForm
                      com.arsdigita.cms.ui.authoring.BasicPageForm
                          com.arsdigita.cms.webpage.ui.authoring.WebpagePropertiesForm

All Implemented Interfaces:
  Cloneable, com.arsdigita.bebop.Component, com.arsdigita.bebop.Container, EventListener, com.arsdigita.bebop.event.FormInitListener, com.arsdigita.bebop.event.FormProcessListener, com.arsdigita.bebop.event.FormValidationListener, com.arsdigita.util.Lockable

public class WebpagePropertiesForm
extends com.arsdigita.cms.ui.authoring.BasicPageForm
implements com.arsdigita.bebop.event.FormProcessListener, com.arsdigita.bebop.event.FormInitListener

Form to edit the basic properties of an webpage. This form can be extended to create forms for Webpage subclasses.

Field Summary
`static String` `BODY`
`static String` `CATEGORIES`
`static String` `DESCRIPTION`

Fields inherited from class com.arsdigita.cms.ui.authoring.BasicPageForm
`LAUNCH_DATE`

Fields inherited from class com.arsdigita.cms.ui.authoring.BasicItemForm
`LANGUAGE, NAME, TITLE`

Fields inherited from class com.arsdigita.bebop.FormSection
`m_formModel, m_panel, versionId`

Fields inherited from class com.arsdigita.bebop.SimpleComponent
`m_attr`

Fields inherited from interface com.arsdigita.bebop.event.FormProcessListener
`versionId`

Fields inherited from interface com.arsdigita.bebop.event.FormInitListener
`versionId`

Fields inherited from interface com.arsdigita.bebop.event.FormValidationListener
`versionId`

Fields inherited from interface com.arsdigita.bebop.Component
`BEBOP_XML_NS, CLASS, ID, ON_CLICK, STYLE`

Constructor Summary
`WebpagePropertiesForm(com.arsdigita.cms.ItemSelectionModel itemModel)` Creates a new form to edit the Webpage object specified by the item selection model passed in.

Method Summary
`protected void` `addWidgets()` Adds widgets to the form.
`void` `init(com.arsdigita.bebop.event.FormSectionEvent fse)` Form initialisation hook.
`void` `process(com.arsdigita.bebop.event.FormSectionEvent fse)` Form processing hook.
`void` `validate(com.arsdigita.bebop.event.FormSectionEvent e)`

Methods inherited from class com.arsdigita.cms.ui.authoring.BasicPageForm
`createContentPage, initBasicWidgets, processBasicWidgets`

Methods inherited from class com.arsdigita.cms.ui.authoring.BasicItemForm
`add, add, addSaveCancelSection, generateXML, getAllVersionIDs, getItemSelectionModel, getSaveCancelSection, validateNameUniqueness, validateNameUniquenessWithinCategory`

Methods inherited from class com.arsdigita.bebop.FormSection

`addCancelListener, addInitListener, addProcessListener, addSubmissionListener, addValidationListener, children, contains, createInitListener, createProcessListener, createSubmissionListener, createValidationListener, fireCancel, fireInit, fireProcess, fireSubmitted, fireValidate, forwardInit, forwardProcess, forwardSubmission, forwardValidation, get, getModel, getPanel, indexOf, isEmpty, lock, process, register, removeCancelListener, removeInitListener, removeProcessListener, removeSubmissionListener, removeValidationListener, respond, size`

Methods inherited from class com.arsdigita.bebop.SimpleComponent
`clone, exportAttributes, getAttribute, getClassAttr, getIdAttr, getKey, getMetaDataAttribute, getStyleAttr, hasAttributes, isLocked, isVisible, register, setAttribute, setClassAttr, setIdAttr, setKey, setMetaDataAttribute, setStyleAttr, setVisible`

Methods inherited from class com.arsdigita.bebop.Completable
`addCompletionListener, fireCompletionEvent`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.arsdigita.bebop.Component
`getClassAttr, getIdAttr, getKey, getStyleAttr, isVisible, register, setClassAttr, setIdAttr, setKey, setStyleAttr, setVisible`

Methods inherited from interface com.arsdigita.util.Lockable
`isLocked`

Field Detail

### DESCRIPTION

    public static final String DESCRIPTION

See Also:
  Constant Field Values

### BODY

    public static final String BODY

See Also:
  Constant Field Values

### CATEGORIES

    public static final String CATEGORIES

See Also:
  Constant Field Values

Constructor Detail

### WebpagePropertiesForm

    public WebpagePropertiesForm(com.arsdigita.cms.ItemSelectionModel itemModel)

  Creates a new form to edit the Webpage object specified by the item selection model passed in.

Parameters:
  `itemModel` - The ItemSelectionModel to use to obtain the Webpage to work on

Method Detail

### addWidgets

    protected void addWidgets()

  Adds widgets to the form.

### validate

    public void validate(com.arsdigita.bebop.event.FormSectionEvent e)
                  throws com.arsdigita.bebop.FormProcessException

  Specified by:
    `validate` in interface `com.arsdigita.bebop.event.FormValidationListener`
  Throws:
    `com.arsdigita.bebop.FormProcessException`

### init

    public void init(com.arsdigita.bebop.event.FormSectionEvent fse)

  Form initialisation hook. Fills widgets with data.

  Specified by:
    `init` in interface `com.arsdigita.bebop.event.FormInitListener`

### process

    public void process(com.arsdigita.bebop.event.FormSectionEvent fse)
                 throws com.arsdigita.bebop.FormProcessException

  Form processing hook. Saves Event object.

  Specified by:
    `process` in interface `com.arsdigita.bebop.event.FormProcessListener`
  Throws:
    `com.arsdigita.bebop.FormProcessException`

Copyright (c) 2006 Red Hat, Inc. Corporation. All Rights Reserved. Generated at June 1 2006:1154 UTC